Skip to content
Developer

PaymentGoal

Billing6 EndpointsBilling / PaymentGoal

Returns a list of all PaymentGoal

GET/api/invoice/paymentgoals

Query parameters

idstring
namestring
dateStringstring
deletedboolean
globalDefaultboolean
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of PaymentGoal objectsarray<PaymentGoal>

Show fields (5)
  • idinteger

    Primary key of the payment goal. Internal ID.

  • namestring

    Name of the payment term, for example 14 days.

  • date_stringstring

    Date pattern of the payment term as text.

  • deletedboolean

    The payment term is deleted.

  • global_defaultboolean

    Default payment term for new invoices.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/invoice/paymentgoals \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "name": "Beispiel",
    "date_string": "string",
    "deleted": true,
    "global_default": true
  }
]

Returns a list of all PaymentGoal

GET/api/invoice/payment_goal

Query parameters

idstring
namestring
dateStringstring
deletedboolean
globalDefaultboolean
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of PaymentGoal objectsarray<PaymentGoal>

Show fields (5)
  • idinteger

    Primary key of the payment goal. Internal ID.

  • namestring

    Name of the payment term, for example 14 days.

  • date_stringstring

    Date pattern of the payment term as text.

  • deletedboolean

    The payment term is deleted.

  • global_defaultboolean

    Default payment term for new invoices.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/invoice/payment_goal \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "name": "Beispiel",
    "date_string": "string",
    "deleted": true,
    "global_default": true
  }
]

Add a new PaymentGoal

POST/api/invoice/payment_goal

Request body application/json

  • dataPaymentGoal
    Show fields (5)
    • idinteger

      Primary key of the payment goal. Internal ID.

    • namestring

      Name of the payment term, for example 14 days.

    • date_stringstring

      Date pattern of the payment term as text.

    • deletedboolean

      The payment term is deleted.

    • global_defaultboolean

      Default payment term for new invoices.

Responses

200Add a new PaymentGoalPaymentGoal

Show fields (5)
  • idinteger

    Primary key of the payment goal. Internal ID.

  • namestring

    Name of the payment term, for example 14 days.

  • date_stringstring

    Date pattern of the payment term as text.

  • deletedboolean

    The payment term is deleted.

  • global_defaultboolean

    Default payment term for new invoices.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/invoice/payment_goal \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "name": "Beispiel",
    "date_string": "string",
    "deleted": true,
    "global_default": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "date_string": "string",
  "deleted": true,
  "global_default": true
}

Get a single PaymentGoal

GET/api/invoice/payment_goal/{identifier}

Path parameters

identifierrequiredstring

Responses

200Get a single PaymentGoalPaymentGoal

Show fields (5)
  • idinteger

    Primary key of the payment goal. Internal ID.

  • namestring

    Name of the payment term, for example 14 days.

  • date_stringstring

    Date pattern of the payment term as text.

  • deletedboolean

    The payment term is deleted.

  • global_defaultboolean

    Default payment term for new invoices.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/invoice/payment_goal/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "date_string": "string",
  "deleted": true,
  "global_default": true
}

Update a PaymentGoal

PUT/api/invoice/payment_goal/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataPaymentGoal
    Show fields (5)
    • idinteger

      Primary key of the payment goal. Internal ID.

    • namestring

      Name of the payment term, for example 14 days.

    • date_stringstring

      Date pattern of the payment term as text.

    • deletedboolean

      The payment term is deleted.

    • global_defaultboolean

      Default payment term for new invoices.

Responses

200Update a PaymentGoalPaymentGoal

Show fields (5)
  • idinteger

    Primary key of the payment goal. Internal ID.

  • namestring

    Name of the payment term, for example 14 days.

  • date_stringstring

    Date pattern of the payment term as text.

  • deletedboolean

    The payment term is deleted.

  • global_defaultboolean

    Default payment term for new invoices.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/invoice/payment_goal/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "name": "Beispiel",
    "date_string": "string",
    "deleted": true,
    "global_default": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "date_string": "string",
  "deleted": true,
  "global_default": true
}

Update a PaymentGoal

PATCH/api/invoice/payment_goal/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataPaymentGoal
    Show fields (5)
    • idinteger

      Primary key of the payment goal. Internal ID.

    • namestring

      Name of the payment term, for example 14 days.

    • date_stringstring

      Date pattern of the payment term as text.

    • deletedboolean

      The payment term is deleted.

    • global_defaultboolean

      Default payment term for new invoices.

Responses

200Update a PaymentGoalPaymentGoal

Show fields (5)
  • idinteger

    Primary key of the payment goal. Internal ID.

  • namestring

    Name of the payment term, for example 14 days.

  • date_stringstring

    Date pattern of the payment term as text.

  • deletedboolean

    The payment term is deleted.

  • global_defaultboolean

    Default payment term for new invoices.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/invoice/payment_goal/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "name": "Beispiel",
    "date_string": "string",
    "deleted": true,
    "global_default": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "date_string": "string",
  "deleted": true,
  "global_default": true
}